{% extends "dashboard/base.html" %}
{% load i18n %}
{% load static %}
{% load bootstrap %}
{% load thumbnail %}

{% block stylesheet %}
<style type="text/css">
    #zoominbutton, #zoomoutbutton {
        font-size: 21px;
    }
</style>
{% endblock stylesheet %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Perfil Estudiante" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'student_list' %}">{% trans "Estudiantes" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Perfil Estudiante" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}
<div class="wrapper wrapper-content">
    <div class="row animated fadeInRight">
        <div class="col-md-4">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>{% trans "Perfil del Estudiante"%}</h5>
                </div>
                <div>
                    <div class="ibox-content no-padding border-left-right">
                        {% thumbnail student.avatar "412" crop="center" as im %}
                            <img alt="{{student.user.first_name}} {{student.user.last_name}}" class="img-responsive" src="{{ im.url }}">
                        {% endthumbnail %}
                        
                    </div>
                    <div class="ibox-content profile-content">
                        <h4><strong>{{student.user.first_name}} {{student.user.last_name}}</strong></h4>   
                        {% for pr in student.personal_record.academic_record.all %}
                                <p><i class="fa fa-university"></i> <strong>{% trans "Programa:" %}</strong> {{pr.carreer_code}} </p>                                    
                        {% endfor %}  
                        {% for pr in student.personal_record.academic_record.all %}
                            <p><i class="fa fa-map-marker"></i>  <strong>{% trans "Sede:"%}</strong> {{pr.seat}}</p>
                            <p><i class="fa fa-map-marker"></i>  <strong>{% trans "Campus:"%}</strong> {{pr.campus}}</p>
                            <p><i class="fa fa-map-marker"></i>  <strong>{% trans "Código:"%}</strong> {{pr.carreer_code.code}}</p>
                        {% endfor %} 
                        {% for pr in student.personal_record.course.all %}
                            <p><i class="fa fa-map-marker"></i>  <strong>{% trans "Asignatura:"%}</strong> {{pr.name}}</p>
                            <p><i class="fa fa-map-marker"></i>  <strong>{% trans "NRC:"%}</strong> {{pr.nrc}}</p>
                        {% endfor %} 

                        <p><i class="fa fa-graduation-cap"></i> <strong>{% trans "PGA :"%}</strong> {{student.pga }}</p>
                        <h5>{% trans "Descripción"%}</h5>
                        <p>{{student.description|truncatewords_html:30|safe}}</p>

                        <div class="user-button">
                            <div class="row">
                                <div class="col-md-6">
                                    <button type="button" class="btn btn-primary btn-sm btn-block"><i class="fa fa-envelope"></i> Enviar Mensaje</button>
                                </div>
                                <div class="col-md-6">
                                    <a href="{% url 'student_update' student.pk %}"><button type="button" class="btn btn-primary btn-sm btn-block"><i class="fa fa-pencil"></i> Editar</button></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-8">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>Ficha Curricular</h5>
                    <div class="ibox-tools">                        
                        <a class="collapse-link">
                            <i class="fa fa-chevron-up"></i>
                        </a>
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                            <!-- <i class="fa fa-save"></i> -->
                        </a>                                    
                        <a class="close-link">
                            <i class="fa fa-times"></i>
                        </a>
                    </div>                    
                </div>
                <div class="ibox-content">
                    <div>
                        <div class="feed-activity-list">
                            <div class="feed-element">
                                <div class="pull-left">
                                    <button id="prev" class="btn btn-xs btn-primary">Anterior</button>
                                    <button id="next" class="btn btn-xs btn-primary">Siguiente</button>                            
                                    <span>Página: <span id="page_num"></span> / <span id="page_count"></span></span>
                                </div>
                                <div class="pull-right">
                                    <i id="zoomoutbutton" class="fa fa-search-minus"></i>
                                    <i id="zoominbutton" class="fa fa-search-plus"></i>                                   
                                    <button id="reset" class="btn btn-xs btn-primary">Reset Zoom</button>
                                    <a href="/media/{{student.transcript}}" target="_blank" ><button class="btn btn-xs btn-primary"><i class="fa fa-save"></i> Descargar</button></a>
                                </div>    
                                <div class="media-body ">                                
                                    <canvas id="the-canvas"></canvas>                                        
                                </div>
                            </div>

                        </div>

                   </div>

                </div>
            </div>

        </div>
    </div>

</div>
{% endblock content %}


{% block javascript %}
<script src="{% static '/js/plugins/pdfjs/pdf.js' %}"></script>
<script type="text/javascript">
$( document ).ready(function() {

    var url = '/media/{{student.transcript}}';

    PDFJS.workerSrc = "{% static '/js/plugins/pdfworker/pdf.worker.js' %}";
    var pdfDoc = null,
        pageNum = 1,
        pageRendering = false,
        pageNumPending = null,
        scale = 1,
        canvas = document.getElementById('the-canvas'),
        ctx = canvas.getContext('2d');

    function renderPage(num) {
      pageRendering = true;
      pdfDoc.getPage(num).then(function(page) {
        var viewport = page.getViewport(scale);
        canvas.height = viewport.height;
        canvas.width = viewport.width;

        var renderContext = {
          canvasContext: ctx,
          viewport: viewport
        };
        var renderTask = page.render(renderContext);

        renderTask.promise.then(function() {
          pageRendering = false;
          if (pageNumPending !== null) {
            renderPage(pageNumPending);
            pageNumPending = null;
          }
        });
      });
      document.getElementById('page_num').textContent = pageNum;
    }
    function queueRenderPage(num) {
      if (pageRendering) {
        pageNumPending = num;
      } else {
        renderPage(num);
      }
    }
    function onPrevPage() {
      if (pageNum <= 1) {
        return;
      }
      pageNum--;
      queueRenderPage(pageNum);
    }
    document.getElementById('prev').addEventListener('click', onPrevPage);

    function onNextPage() {
      if (pageNum >= pdfDoc.numPages) {
        return;
      }
      pageNum++;
      queueRenderPage(pageNum);
    }
    document.getElementById('next').addEventListener('click', onNextPage);

    $('#reset').on('click',function(){
        scale=1;
        queueRenderPage(pageNum);        
    })

    $('#zoominbutton').on('click',function(){
        scale+=0.25;
        queueRenderPage(pageNum);        
    })
    $('#zoomoutbutton').on('click',function(){
        if (scale <= 0.75) {
            return;
        }
      scale-=0.25;
      queueRenderPage(pageNum);        
    })
    

    PDFJS.getDocument(url).then(function(pdfDoc_) {
      pdfDoc = pdfDoc_;
      document.getElementById('page_count').textContent = pdfDoc.numPages;
      renderPage(pageNum);
    });
});
</script>
{% endblock javascript %}